Name:          xorgproto
Version:       2024.1
Release:       1mamba
Summary:       X.org prototypes
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org/wiki/
Source:        ftp://ftp.x.org/pub/individual/proto/xorgproto-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
This package provides the headers and specification documents defining the core protocol and (many) extensions for the X Window System.

%package devel
Group:         Development/Libraries
Summary:       X.org prototypes
Requires:      pkg-config
Provides:      xproto-devel
Obsoletes:     xproto-devel < 2022.2
Provides:      bigreqsproto-devel
Obsoletes:     bigreqsproto-devel < 2022.2
Provides:      compositeproto-devel
Obsoletes:     compositeproto-devel < 2022.2
Provides:      dri2proto-devel
Obsoletes:     dri2proto-devel < 2022.2
Provides:      dri3proto-devel
Obsoletes:     dri3proto-devel < 2022.2
Provides:      fixesproto-devel
Obsoletes:     fixesproto-devel < 2022.2
Provides:      fontsproto-devel
Obsoletes:     fontsproto-devel < 2022.2
Provides:      glproto-devel
Obsoletes:     glproto-devel < 2022.2
Provides:      inputproto-devel
Obsoletes:     inputproto-devel < 2022.2
Provides:      kbproto-devel
Obsoletes:     kbproto-devel < 2022.2
Provides:      presentproto-devel
Obsoletes:     presentproto-devel < 2022.2
Provides:      randrproto-devel
Obsoletes:     randrproto-devel < 2022.2
Provides:      recordproto-devel
Obsoletes:     recordproto-devel < 2022.2
Provides:      scrnsaverproto-devel
Obsoletes:     scrnsaverproto-devel < 2022.2
Provides:      trapproto-devel
Obsoletes:     trapproto-devel < 2022.2
Provides:      videoproto-devel
Obsoletes:     videoproto-devel < 2022.2
Provides:      windowswmproto-devel
Obsoletes:     windowswmproto-devel < 2022.2
Provides:      xcmiscproto-devel
Obsoletes:     xcmiscproto-devel < 2022.2
Provides:      xextproto-devel
Obsoletes:     xextproto-devel < 2022.2
Provides:      xf86dgaproto-devel
Obsoletes:     xf86dgaproto-devel < 2022.2
Provides:      xf86miscproto-devel
Obsoletes:     xf86miscproto-devel < 2022.2
Provides:      xf86vidmodeproto-devel
Obsoletes:     xf86vidmodeproto-devel < 2022.2
Provides:      xineramaproto-devel
Obsoletes:     xineramaproto-devel < 2022.2
Provides:      xorg-proto-devel
Obsoletes:     xorg-proto-devel < 2022.2

%description devel
This package provides the headers and specification documents defining the core protocol and (many) extensions for the X Window System.
This package contains header files for developing applications that use X.org.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_includedir}/GL/internal/glcore.h
%{_includedir}/X11/*.h
%{_includedir}/X11/extensions/*.h
%{_includedir}/X11/fonts/*.h
%{_includedir}/X11/dri/*.h
%dir %{_docdir}/xorgproto/
%{_docdir}/xorgproto/*
%{_datadir}/pkgconfig/*proto.pc
%dir %{_datadir}/doc/bigreqsproto
%{_datadir}/doc/bigreqsproto/*
%dir %{_datadir}/doc/fontsproto
%{_datadir}/doc/fontsproto/*
%dir %{_datadir}/doc/kbproto
%{_datadir}/doc/kbproto/*
%dir %{_datadir}/doc/recordproto
%{_datadir}/doc/recordproto/*
%dir %{_datadir}/doc/scrnsaverproto
%{_datadir}/doc/scrnsaverproto/*
%dir %{_datadir}/doc/xcmiscproto
%{_datadir}/doc/xcmiscproto/*
%dir %{_datadir}/doc/xextproto
%{_datadir}/doc/xextproto/*
%dir %{_datadir}/doc/xproto
%{_datadir}/doc/xproto/*
%doc AUTHORS

%changelog
* Wed Mar 27 2024 Automatic Build System <autodist@openmamba.org> 2024.1-1mamba
- automatic version update by autodist

* Fri Jun 16 2023 Automatic Build System <autodist@mambasoft.it> 2023.2-1mamba
- automatic version update by autodist

* Tue Jun 06 2023 Automatic Build System <autodist@mambasoft.it> 2023.1-1mamba
- automatic version update by autodist

* Fri Sep 02 2022 Automatic Build System <autodist@mambasoft.it> 2022.2-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 2022.1-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 2021.5-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 2021.4.99.2-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 2021.4.99.1-1mamba
- automatic version update by autodist

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 2021.4-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 2021.3-1mamba
- automatic version update by autodist

* Thu Dec 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.1-2mamba
- don't obsolete xproxymanagementprotocol-devel

* Tue Apr 28 2020 Automatic Build System <autodist@mambasoft.it> 2020.1-1mamba
- automatic version update by autodist

* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 2019.2-1mamba
- automatic version update by autodist

* Thu Jul 25 2019 Automatic Build System <autodist@mambasoft.it> 2019.1-1mamba
- automatic version update by autodist

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2018.4-1mamba
- package created using the webbuild interface
